:# This program may be used, executed, copied, modified and distributed
:# without royalty for the purpose of developing, using, marketing, or distributing.
@echo off

SET ERROR=
SET PROFOFT=

:# default server name if it is not passed as a command parameter
SET WAS_SERVER=server1

if .%1 == . goto NOPROFILE
if .%1 == .-user goto NOPROFILE
set WAS_PROFILE=%1
set PROFOPT=-profileName %WAS_PROFILE%
shift
:NOPROFILE

call "..\..\..\bin\setupCmdLine" %PROFOPT%

:# Edit the lines below if your machine has products installed to different paths
SET JAVA_HOME=%WAS_HOME%\java
SET PATH=%JAVA_HOME%\bin;%PATH%
SET OPER_DIR=%WAS_HOME%\samples\lib\WebServicesSamples

if .%1 == . goto NONODE
if .%1 == .-user goto NONODE
set WAS_CELL=%1
shift
if .%1 == . goto NONODE
if .%1 == .-user goto NONODE
set WAS_NODE=%1
shift
if .%1 == . goto NONODE
if .%1 == .-user goto NONODE
set WAS_SERVER=%1
shift
:NONODE

: Test Profile name
if exist "%USER_INSTALL_ROOT%" goto CONTINUE1
echo ERROR: Profile %WAS_PROFILE% does not exist
echo Valid profiles:
call %WAS_HOME%\bin\manageprofiles -listProfiles
goto ERROR
:CONTINUE1
: Test Cell name
if exist "%CONFIG_ROOT%\cells\%WAS_CELL%" goto CONTINUE2
echo ERROR: Cell %WAS_CELL% does not exist
echo Valid cells on server %WAS_PROFILE%:
dir /b "%CONFIG_ROOT%\cells"
goto ERROR
:CONTINUE2
: Test Node name
if exist "%CONFIG_ROOT%\cells\%WAS_CELL%\nodes\%WAS_NODE%" goto CONTINUE3
echo ERROR: Node %WAS_NODE% does not exist
echo Valid nodes on cell %WAS_CELL%:
dir /b "%CONFIG_ROOT%\cells\%WAS_CELL%\nodes"
goto ERROR
:CONTINUE3
goto END

:ERROR
SET ERROR=1
echo .
echo Usage:
echo   %PROGNAME% [profile] [cell] [node] [server] [-user user -password password]
echo optional parameters:
echo   profile is your WebSphere Application Server profile
echo   cell is the cell name for the profile
echo   node is the node name for the server node
echo   server is the server name
echo Example:
echo   %PROGNAME% AppSrv01 LINK-T42Node01Cell LINK-T42Node01 server1
goto END

:END
